//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <stack>
#include <algorithm>

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{

  stack<int> st;

  //     
  st.push(1);
  st.push(2);
  st.push(3);

  //       
  cout << ToRus("      :\n");
  cout << st.top() << ' ';
  st.pop();
  cout << st.top() << ' ';
  st.pop();
  cout << endl;

  //   
  st.top() = 77;

  //    
  st.push(4);
  st.push(5);

  //     
  st.pop();

  //     
  cout << ToRus("   ,\n");
  cout << ToRus("  4  5,   \n");
  cout << ToRus("    :\n");
  while (!st.empty()) {
      cout << st.top() << ' ';
      st.pop();
  }
  cout << endl;


  getch();
  return 0;
}

//---------------------------------------------------------------------------